My Oracle Support Banner

EM 13c : Fleet Maintenance UPDATE_GI For 19C Fails In Step "Execute Root Scripts" With Error " Invalid site guid (-y) (Doc ID 2646757.1)

Last updated on SEPTEMBER 14, 2020

Applies to:

Enterprise Manager for Oracle Database - Version 13.3.2.0.0 and later
Information in this document applies to any platform.

Symptoms

While trying to Upgrade Grid Infrastructure from 12.2 to 19C, Fails In Step "Execute Root Scripts" With Error " Invalid site guid (-y).

$ emcli db_software_maintenance -performOperation -name="Upgrade" -purpose=UPDATE_GI -target_type=cluster -target_list=<TargetDB-Name> -normal_credential="<HOST-CREDENTIAL-NAME>:SYSMAN" -privilege_credential="<privilege-credential-name>:SYSMAN"

Job Name: Execute Root Scripts On Unix Fails
-----------------------------------------------------------------------------------------------------------

Execute Root Scripts-><hostname>->
Failed with below ++ echo 'Check /u01/64bit/crs121193/install/root_<hostname>_2019-05-21_08-55
-00-117669563.log for the output of root script'
Check /u01/64bit/crs121193/install/root_<hostname>_2019-05-21_08-55 -00-117669563.log for the output of root script
++ exec
Exit code is : 25
exit status is :25
exit status is 25

As per the log
--------------

/u01/64bit/crs121193/install/root_<hostname>_2019-05-21_08-55-00-117669563.log

2019-05-21 09:06:11: Executing cmd: /u01/64bit/crs121193/bin/clscfg -localupgrade -z -y <clustername>-svip: -p
CLUSTER_CLASS:Standalone,NODE_LIST:<hostname1>~<hostname2>~2019-05-21 09:06:11: Command output:
> Invalid site guid (-y)

Cause

To view full details, sign in with your My Oracle Support account.

Don't have a My Oracle Support account? Click to get started!


In this Document
Symptoms
Cause
Solution
References

My Oracle Support provides customers with access to over a million knowledge articles and a vibrant support community of peers and Oracle experts.